Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Ayuda con la instalación de pgAdmin 4
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
Jack Krauser
Apprentice
Apprentice


Joined: 19 Jan 2011
Posts: 161

PostPosted: Fri Jun 30, 2017 5:09 pm    Post subject: Ayuda con la instalación de pgAdmin 4 Reply with quote

Hola amigos de Gentoo. Heme aquí una vez más para que me ayuden en un problema que tengo.

Quisiera poder usar pgAdmin pero la versión 4 que no está en portage. La razón es que la probé en Windows y me gustó mucho y quisiera aquí tenerla en Gentoo. He descargado el código fuente para compilarlo y las instrucciones me dicen que:

README wrote:
Building the Runtime
--------------------

To build the runtime, the following packages must be installed:

- QT 4.6 or above, up to 5.5 (older versions may work, but haven't been tested,
newer versions are not yet supported as Qt Webkit has been deprecated).
- Python 2.6, 2.7 or 3.3+

Assuming both qmake and python-config are in the path:

$ cd $PGADMIN4_SRC/runtime
$ qmake
Project MESSAGE: Building for QT5+...
Project MESSAGE: Building for Linux/Mac...
Project MESSAGE: Using /usr/bin/python-config
Project MESSAGE: Python2 detected.
$ make


Tengo las versiones (qt4 y qt5, python 3.4) pero no puedo usar directamente qt5 sino que está configurado para usar qt4. Encontré el comando para ejecutar qt5 "/usr/lib/qt5/bin/qmake" y obtengo casi el mismo mensaje que en el README, solo que añade un error que no sé cómo solucionar:

/usr/lib/qt5/bin/qmake:
Project MESSAGE: Building for QT5+...
Project MESSAGE: Using QWebEngine...
Project MESSAGE: Building for Linux/Mac...
Project MESSAGE: Using /usr/bin/python-config
Project MESSAGE: Python3 detected.
Project ERROR: Unknown module(s) in QT: webenginewidgets


No sé cómo instalar el "módulo desconocido en QT". Alguien me puede ayudar?

Muchas gracias de antemano :)
Back to top
View user's profile Send private message
cameta
Veteran
Veteran


Joined: 04 Aug 2004
Posts: 1092

PostPosted: Fri Jun 30, 2017 11:41 pm    Post subject: Reply with quote

https://packages.gentoo.org/packages/dev-qt/qtwebengine
A lo mejor te falta esto.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum